### Function

# GimpUi event_triggers_context_menu

since: 3.0

#### Declaration [src]

    gboolean
    gimp_event_triggers_context_menu (
      const GdkEvent* event,
      gboolean on_release
    )

#### Description [src]

Alternative of `gdk_event_triggers_context_menu()` with the additional feature of allowing a menu triggering to happen on a button release event. All the other rules on whether `event` should trigger a contextual menu are exactly the same. Only the swapping to release state as additional feature is different.

Available since: 3.0

#### Parameters

`event`

  Type: `GdkEvent`

  The `GdkEvent` to verify.

  The data is owned by the caller of the function.

`on_release`

  Type: `gboolean`

  Whether a menu is triggered on a button release event instead of a press event.

#### Return value

Type: `gboolean`

`TRUE` if the event should trigger a context menu.